Bug 1380248 - Please enable epel6 branch
Summary: Please enable epel6 branch
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python34
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1380578 1380586
TreeView+ depends on / blocked
 
Reported: 2016-09-29 05:43 UTC by Tim Orling
Modified: 2016-11-04 18:46 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-10-21 18:17:27 UTC


Attachments (Terms of Use)

Description Tim Orling 2016-09-29 05:43:58 UTC
Description of problem:
No epel6 package available


Additional info:

1. orionp already has a patch which allows to build for epel6.

https://lists.fedoraproject.org/archives/list/epel-devel@lists.fedoraproject.org/thread/VNWYYATMQU422UHKUYPYFBWVDXSKNWNI/

2. I volunteer to help maintain the epel6 branch (commit ACLs requested).

3. If we need to wait for macros to be cleaned up, please block this request with the appropriate BZ.

Comment 1 Tim Orling 2016-09-29 07:12:00 UTC
FWIW, Copr:

https://copr.fedorainfracloud.org/coprs/ttorling/python34-epel6/build/459008/

I went to bed before build finished.

Comment 2 Petr Viktorin 2016-09-29 07:51:10 UTC
I'm not volunteering to maintain the EPEL6 branch, but I won't stop you!

I've requested an el6 branch for the package, and will give you ACLs when it's there.

Comment 3 Tim Orling 2016-09-30 03:53:04 UTC
Commit ACLs __actually__ requested.

Comment 4 Petr Viktorin 2016-09-30 09:45:43 UTC
Approved. Use you powers for good :)

Comment 5 Orion Poplawski 2016-09-30 15:02:29 UTC
Okay, I've push my updates into the el6 branch.  We need to wait now to get updated macros into el6.  I want to get this update pushed to stable first:

https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d59560b5a8

then I'll submit a new update with the python3 macros enabled.

Comment 6 Orion Poplawski 2016-10-03 02:18:13 UTC
Okay, turns out that everything should already be in place macro wise for python34 in el6.  I've submitted a python34 build now.

Comment 7 Tim Orling 2016-10-03 04:33:17 UTC
http://koji.fedoraproject.org/koji/taskinfo?taskID=15916126

Unexpected failure (i686):

test_basic (test.test_pty.PtyTest) ... Calling master_open()
Got master_fd '22', slave_name '/dev/pts/0'
Calling slave_open('/dev/pts/0')
Got slave_fd '23'
Writing to slave_fd
Writing chunked output
FAIL
test_fork (test.test_pty.PtyTest) ... test test_pty failed
calling pty.fork()
Waiting for child (1301) to finish.
Child (1301) exited with status 4 (1024).
ok
======================================================================
FAIL: test_basic (test.test_pty.PtyTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.4.3/Lib/test/test_pty.py", line 108, in test_basic
    self.assertEqual(b'For my pet fish, Eric.\n', normalize_output(s2))
AssertionError: b'For my pet fish, Eric.\n' != b'For m'
----------------------------------------------------------------------
Ran 4 tests in 0.026s
FAILED (failures=1)

Comment 8 Tomas Orsava 2016-10-03 10:55:00 UTC
(In reply to Orion Poplawski from comment #5)
> Okay, I've push my updates into the el6 branch.  We need to wait now to get
> updated macros into el6.  I want to get this update pushed to stable first:
> 
> https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d59560b5a8
> 
> then I'll submit a new update with the python3 macros enabled.

Hi Orion!
Just in case, the `epel-rpm-macros` package still contains two niled-out Python macros:


    # Two stub defines to reduce the number of ifdefs you need to bring python
    # packages down to EL6.
    %py3_build %{nil}
    %py3_install %{nil}


I believe those should be removed in light of this change.

Discussed here: https://bugzilla.redhat.com/show_bug.cgi?id=1369486#c10

Comment 9 Orion Poplawski 2016-10-03 15:10:09 UTC
Thanks, I knew there was something.  Building update now.  No idea on the python test failure.  Can you track that down?

Comment 10 Tomas Orsava 2016-10-05 10:06:10 UTC
(In reply to Orion Poplawski from comment #9)
> Thanks, I knew there was something.  Building update now.  No idea on the
> python test failure.  Can you track that down?

When I built the contents of the dist-git [0-2], I did not get the abovementioned error, but a different one on ppc64. And now I see that Tim fixed that yesterday evening, so I'll leave it to him.

[0] http://koji.fedoraproject.org/koji/taskinfo?taskID=15925686
[1] http://koji.fedoraproject.org/koji/taskinfo?taskID=15925681
[2] http://koji.fedoraproject.org/koji/taskinfo?taskID=15925675

Comment 11 Orion Poplawski 2016-10-05 15:22:30 UTC
The pty test failure appears to be intermittent.  I've added it to the epel-rpm-macros update and will be submitting buildroot overrides so dependent packages can be built.

Comment 12 Fedora Update System 2016-10-06 08:47:43 UTC
epel-rpm-macros-6-14, python34-3.4.3-9.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-a3fbbc03f0

Comment 13 Fedora Update System 2016-10-16 00:20:28 UTC
python34-3.4.5-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c32672ef1b

Comment 14 Fedora Update System 2016-10-21 18:17:27 UTC
epel-rpm-macros-6-14, python34-3.4.3-9.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-11-04 18:46:39 UTC
python34-3.4.5-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.